AbstractInterceptFieldCallback (cglib (Version 2.2.2))
Date: 2019-12-26

net.sf.cglib.transform.impl

## Class AbstractInterceptFieldCallback

- java.lang.Object
- - net.sf.cglib.transform.impl.AbstractInterceptFieldCallback

- All Implemented Interfaces:
    InterceptFieldCallback

      public class AbstractInterceptFieldCallback
      extends java.lang.Object
      implements InterceptFieldCallback

  Author:
    Chris Nokleberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractInterceptFieldCallback()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `readBoolean(java.lang.Object obj, java.lang.String name, boolean oldValue)`
    `byte` | `readByte(java.lang.Object obj, java.lang.String name, byte oldValue)`
    `char` | `readChar(java.lang.Object obj, java.lang.String name, char oldValue)`
    `double` | `readDouble(java.lang.Object obj, java.lang.String name, double oldValue)`
    `float` | `readFloat(java.lang.Object obj, java.lang.String name, float oldValue)`
    `int` | `readInt(java.lang.Object obj, java.lang.String name, int oldValue)`
    `long` | `readLong(java.lang.Object obj, java.lang.String name, long oldValue)`
    `java.lang.Object` | `readObject(java.lang.Object obj, java.lang.String name, java.lang.Object oldValue)`
    `short` | `readShort(java.lang.Object obj, java.lang.String name, short oldValue)`
    `boolean` | `writeBoolean(java.lang.Object obj, java.lang.String name, boolean oldValue, boolean newValue)`
    `byte` | `writeByte(java.lang.Object obj, java.lang.String name, byte oldValue, byte newValue)`
    `char` | `writeChar(java.lang.Object obj, java.lang.String name, char oldValue, char newValue)`
    `double` | `writeDouble(java.lang.Object obj, java.lang.String name, double oldValue, double newValue)`
    `float` | `writeFloat(java.lang.Object obj, java.lang.String name, float oldValue, float newValue)`
    `int` | `writeInt(java.lang.Object obj, java.lang.String name, int oldValue, int newValue)`
    `long` | `writeLong(java.lang.Object obj, java.lang.String name, long oldValue, long newValue)`
    `java.lang.Object` | `writeObject(java.lang.Object obj, java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)`
    `short` | `writeShort(java.lang.Object obj, java.lang.String name, short oldValue, short newValue)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractInterceptFieldCallback

          public AbstractInterceptFieldCallback()

  - ### Method Detail

    - #### writeInt

          public int writeInt(java.lang.Object obj,
                              java.lang.String name,
                              int oldValue,
                              int newValue)

      Specified by:
        `writeInt` in interface `InterceptFieldCallback`

    - #### writeChar

          public char writeChar(java.lang.Object obj,
                                java.lang.String name,
                                char oldValue,
                                char newValue)

      Specified by:
        `writeChar` in interface `InterceptFieldCallback`

    - #### writeByte

          public byte writeByte(java.lang.Object obj,
                                java.lang.String name,
                                byte oldValue,
                                byte newValue)

      Specified by:
        `writeByte` in interface `InterceptFieldCallback`

    - #### writeBoolean

          public boolean writeBoolean(java.lang.Object obj,
                                      java.lang.String name,
                                      boolean oldValue,
                                      boolean newValue)

      Specified by:
        `writeBoolean` in interface `InterceptFieldCallback`

    - #### writeShort

          public short writeShort(java.lang.Object obj,
                                  java.lang.String name,
                                  short oldValue,
                                  short newValue)

      Specified by:
        `writeShort` in interface `InterceptFieldCallback`

    - #### writeFloat

          public float writeFloat(java.lang.Object obj,
                                  java.lang.String name,
                                  float oldValue,
                                  float newValue)

      Specified by:
        `writeFloat` in interface `InterceptFieldCallback`

    - #### writeDouble

          public double writeDouble(java.lang.Object obj,
                                    java.lang.String name,
                                    double oldValue,
                                    double newValue)

      Specified by:
        `writeDouble` in interface `InterceptFieldCallback`

    - #### writeLong

          public long writeLong(java.lang.Object obj,
                                java.lang.String name,
                                long oldValue,
                                long newValue)

      Specified by:
        `writeLong` in interface `InterceptFieldCallback`

    - #### writeObject

          public java.lang.Object writeObject(java.lang.Object obj,
                                              java.lang.String name,
                                              java.lang.Object oldValue,
                                              java.lang.Object newValue)

      Specified by:
        `writeObject` in interface `InterceptFieldCallback`

    - #### readInt

          public int readInt(java.lang.Object obj,
                             java.lang.String name,
                             int oldValue)

      Specified by:
        `readInt` in interface `InterceptFieldCallback`

    - #### readChar

          public char readChar(java.lang.Object obj,
                               java.lang.String name,
                               char oldValue)

      Specified by:
        `readChar` in interface `InterceptFieldCallback`

    - #### readByte

          public byte readByte(java.lang.Object obj,
                               java.lang.String name,
                               byte oldValue)

      Specified by:
        `readByte` in interface `InterceptFieldCallback`

    - #### readBoolean

          public boolean readBoolean(java.lang.Object obj,
                                     java.lang.String name,
                                     boolean oldValue)

      Specified by:
        `readBoolean` in interface `InterceptFieldCallback`

    - #### readShort

          public short readShort(java.lang.Object obj,
                                 java.lang.String name,
                                 short oldValue)

      Specified by:
        `readShort` in interface `InterceptFieldCallback`

    - #### readFloat

          public float readFloat(java.lang.Object obj,
                                 java.lang.String name,
                                 float oldValue)

      Specified by:
        `readFloat` in interface `InterceptFieldCallback`

    - #### readDouble

          public double readDouble(java.lang.Object obj,
                                   java.lang.String name,
                                   double oldValue)

      Specified by:
        `readDouble` in interface `InterceptFieldCallback`

    - #### readLong

          public long readLong(java.lang.Object obj,
                               java.lang.String name,
                               long oldValue)

      Specified by:
        `readLong` in interface `InterceptFieldCallback`

    - #### readObject

          public java.lang.Object readObject(java.lang.Object obj,
                                             java.lang.String name,
                                             java.lang.Object oldValue)

      Specified by:
        `readObject` in interface `InterceptFieldCallback`

Copyright (c) 2001 - Apache Software Foundation